Name:           camcardsync
Version:        0.1.1
Release:        2%{?dist}
Summary:        A tool for copying photos from a camera card

Group:          Applications/Multimedia
License:        GPLv2+
URL:            http://blackfiveimaging.co.uk/index.php?article=02Software%2F04CamCardSync
Source0:        http://www.blackfiveimaging.co.uk/camcardsync/%{name}-%{version}.tar.gz
Patch0:         camcardsync-0.1.1-g++44.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  gtk2-devel
BuildRequires:  hal-devel
BuildRequires:  gettext
BuildRequires:  desktop-file-utils


%description
CamCardSync is a tool for copying photos from a camera card
Features:
* Keeping track of which photos have been copied onto the computer
  and which haven't.
* For speed and efficiency, automatically figure out which ones need 
  copying.
* Allows that photos copied into a folder grouped neatly and conveniently 
  by date.
* To selectively  editing and printing some and deleting others.
* Recognizing deleted images, so they do not copy them again at 
  the next time when sync the camera card!


%prep
%setup -q
%patch0 -p1 -b .g++44

%build
%configure
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

desktop-file-validate %{buildroot}/%{_datadir}/applications/%{name}.desktop

%clean
rm -rf $RPM_BUILD_ROOT

%post
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :


%postun
if [ $1 -eq 0 ] ; then
    touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :


%files 
%defattr(-,root,root,-)
%doc NEWS ChangeLog COPYING TODO
%{_bindir}/*
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/48x48/apps/%{name}.png


%changelog
* Tue Apr 21 2009 Zarko <zarko.pintar@gmail.com> - 0.1.1-2
- License, Summary, Description cleaning
- gcc4.4 patch applied
- resolved icon cache
- added  BuildRequires: hal-devel

* Sun Mar 29 2009 Zarko <zarko.pintar@gmail.com> - 0.1.1-1
- initial release

